package p.studio.execution.runtime;

import java.io.InputStream;
import java.util.concurrent.CompletableFuture;

public interface StudioRuntimeProcessHandle {
    InputStream stdout();

    InputStream stderr();

    boolean isAlive();

    void destroyForcibly();

    CompletableFuture<Integer> onExit();
}
